Кумулативен спешна корекция 3146711 за .NET Framework 4.5 и 4.5.1, 4.5.2 в Windows

Работете навсякъде от всяко устройство с Microsoft 365

Надстройте до Microsoft 365, за да работите навсякъде с най-новите функции и актуализации.

Надстройване сега

В тази статия спешна корекция сборни 3146711, която е достъпна за Microsoft .NET Framework 4.5.2 4.5.1 и 4.5. За допълнителна информация относно проблемите, които решава този пакет вижте раздела "проблеми, които решава този пакет с актуални корекции".

Решение

Следните файлове са достъпни за изтегляне от центъра за изтегляния на Microsoft:

Download Изтеглете сега пакета (x86 и x64).

За повече информация как да изтеглите файлове за поддръжка на Microsoft щракнете върху следния номер на статия в базата знания на Microsoft:

119591 как да получите файлове за поддръжка на Microsoft от онлайн услугиMicrosoft е сканирал този файл за вируси. Microsoft използва най-новия софтуер за откриване на вируси, който е достъпен към датата на публикуване на файла. Файлът е записан на сървъри с повишена защита, които помагат за предотвратяването на неупълномощени промени във файла.

Забележка За да проверите актуални актуализация версия, проверете стойността на изданието ключова дума за определяне на инсталираната версия. Да бъде съвместим с напред, можете да проверите за стойността, която е по-голяма или равна на стойността, дадена в таблицата по-долу.

Актуални Сборен пакет за актуализация версия

Стойност на DWORD изданието

Актуални сборни 3146711 за .NET Framework 4.5 и по-нови версии

380035

За повече информация как да определите версиите на .NET Framework как да: определите кои версии на .NET Framework е инсталиран.

Допълнителна информация

Необходими условия:

За да приложите тази актуална корекция, трябва да имате .NET Framework 4.5.2, 4.5.1 или 4.5 инсталиран.

Изискване за рестартиране

Трябва да рестартирате компютъра, след като приложите тази актуална корекция, ако всички засегнати файлове се използват. Препоръчително е да затворите всички приложения, базирани на .NET Framework, преди да приложите тази актуална корекция.

Информация за заместване на актуалната корекция

Тази актуална корекция не замества издадените пакета.


Проблеми, които решава този пакет с актуални корекции

ASP.NET проблем

Спор и лоша производителност на System.Web.BufferAllocator когато изпълните уеб приложение на компютри, които имат повече от 32 ядра.

Решение : Спор е премахната от премахване на заключване на глобалния System.Web.BufferAllocator.

Windows Forms проблем

Windows Forms PrintPreviewDialog ПИ се инициализира много бавно, когато са налице следните условия:

  • Мрежов принтер се използва.

  • Потребителските предпочитания на този принтер, като настройки за дуплекс, са променени.

Ще добавя оптимизиране на производителността в този сценарий. Ако страницата настройки не бяха променени за определена страница, ние не се reapplying (Посещавайки Спулер) настройки на принтера за тази страница. Ако приложението променя настройките на принтера с помощта на манипулатор на събитие QueryPageSettings , производителност при генериране на визуализация на печата за засегнатите страници ще се подобри дори ако включите флаг е зададено.

За да включите в тази оптимизация, app.config файл, в зависимост от версията на .NET Framework се добавя следния ключ:

.NET framework 4.5.2:

<?xml version="1.0" encoding="utf-8"?><configuration>
< appSettings >
< add key="OptimizePrintPreview" value="true" />
< /appSettings >
</configuration>
.NET framework 4.6 или по-нова версия:

<?xml version="1.0" encoding="utf-8"?><configuration>
< runtime>
< AppContextSwitchOverrides value = "Switch.System.Drawing.Printing.OptimizePrintPreview=true" />
< /runtime>
</configuration>
Ако приложението може да работи на всяка версия на .NET Framework, използвайте и двете ключове в същия файл.

За да откажете, премахнете ключа, или стойности false.

ClickOnce issue

ClickOnce е актуализиран, за да поддържа TLS 1.1 и 1.2. ClickOnce автоматично ще открие кои TLS протокол е необходимо по време на изпълнение. Няма допълнителни стъпки в ClickOnce изисква да активирате тези функции.

Забележка ClickOnce продължава да поддържа TLS 1.0 в близко бъдеще, въпреки че вече не се считат за PCI-съвместим.

Нуждаете се от още помощ?

Разширете уменията си
Преглед на обучението
Получавайте първи новите функции
Присъединете се към Microsoft приобщени

Беше ли полезна тази информация?

Благодарим ви за обратната връзка!

Благодарим ви за вашата обратна връзка. Изглежда, че ще бъде полезно да ви свържем с един от нашите агенти по поддръжката на Office.

×